# class Sass::Script::CssParser

This is a subclass of {Parser} for use in parsing plain CSS properties.

@see Sass::SCSS::CssParser

### Private Instance Methods

lexer_class() click to toggle source

@private

    # File lib/sass/script/css_parser.rb, line 13
    def lexer_class; CssLexer; end

paren()
Alias for: string
string() click to toggle source

    # File lib/sass/script/css_parser.rb, line 19
    def string
      tok = try_tok(:string)
      return number unless tok
      return if @lexer.peek && @lexer.peek.type == :begin_interpolation
      literal_node(tok.value, tok.source_range)
    end

Also aliased as: paren